pipeline {
        agent {
                docker {
                        image 'maven:3-alpine'
                        args '-v /root/.m2:/root/.m2'
                }
        }
        stages {
                stage('Build') {
                        steps {
                                sh 'mvn -B -DskipTests clean package'
                        }
                }
		stage('SSH transfer') {
			steps {
				script {
sshPublisher(publishers: [sshPublisherDesc(configName: 'brice@172.17.0.1', transfers: [sshTransfer(cleanRemote: false, excludes: '', execCommand: '', execTimeout: 120000, flatten: true, makeEmptyDirs: false, noDefaultExcludes: false, patternSeparator: '[, ]+', remoteDirectory: 'jars/build-$BUILD_NUMBER', remoteDirectorySDF: false, removePrefix: 'target', sourceFiles: 'target/**/*.jar')], usePromotionTimestamp: false, useWorkspaceInPromotion: false, verbose: true)])
				}
			}
		}
        }
}

